/**
 * @deprecated since v14 until v16
 * @ignore
 */
export function parseSafe(url) {
  foundry.utils.logCompatibilityWarning("URL.parseSafe is deprecated. Please use the native URL.parse instead.", {
    since: 14, until: 16
  });
  return URL.parse(url);
}

// Define properties on the URL environment
Object.defineProperties(URL, {
  parseSafe: {value: parseSafe}
});
